Subject: [Hipsec] update to RFC5201-bis, and open issues

From: "Henderson, Thomas R" <[email-masked]>
Date: Sun, 25 Nov 2012 22:52:58 -0800

I've just posted an update to RFC5201-bis (mainly to address the editorial issues that René Hummen found), and made some updates to the tracker for additional open issues that we have been discussing since the WGLC review.  Below is a brief summary; we can open separate threads for discussing each issue.

1) R1 counter roll over 

The original point was made in this review:  http://www.ietf.org/mail-archive/web/hipsec/current/msg03608.html

Subsequent discussion both on and off list grew to include whether the puzzle and R1 counter are needed, or whether the implementations could be replaced by nonces.

This is now issue 39 in the tracker:  http://trac.tools.ietf.org/wg/hip/trac/ticket/39

2) Decreasing the per-packet overhead

The original point was made in this review:  http://www.ietf.org/mail-archive/web/hipsec/current/msg03608.html

This is now issue 40 in the tracker:  http://trac.tools.ietf.org/wg/hip/trac/ticket/40

3) LSI prefix range in Class E or 127/8 range

We would like to recommend a suitable range for assignment of LSIs. A range in the 127/8 or class E IPv4 address space is being considered.

This is now issue 41 in the tracker:  http://trac.tools.ietf.org/wg/hip/trac/ticket/41

4) HOST ID encoding (use of DNSKEY RR)

I believe that this issue is now closed based on recent list comments.  Please speak up if you would like to treat this as an open issue.

5) Eliminate HIP checksum coverage of IP pseudoheader

The original point was made in this review:  http://www.ietf.org/mail-archive/web/hipsec/current/msg03608.html

I suggested on the list that I'd prefer to keep as is since I could not find a precedent for dropping checksum coverage for non-tunnel situations.  If not needed for when HIP is operated over non-IP transport, then the draft for HIP-over-non-IP can specify the change.  Are there other differing opinions on this?  If so, I can add another tracker issue.

- Tom